GDB (xrefs)

Functions
tui-disasm.h File Reference
`#include "tui/tui.h"`
`#include "tui/tui-data.h"`

Go to the source code of this file.

## Functions
enum tui_status | tui_set_disassem_content (struct gdbarch *, CORE_ADDR)
void | tui_show_disassem (struct gdbarch *, CORE_ADDR)
void | tui_show_disassem_and_update_source (struct gdbarch *, CORE_ADDR)
void | tui_vertical_disassem_scroll (enum tui_scroll_direction, int)
void | tui_get_begin_asm_address (struct gdbarch **, CORE_ADDR *)

## Function Documentation

## ◆ tui_get_begin_asm_address()

void tui_get_begin_asm_address | ( | struct gdbarch ** | ,
|  | CORE_ADDR * |
| ) |  |

Definition at line 319 of file tui-disasm.c.

References tui_locator_element::addr, BMSYMBOL_VALUE_ADDRESS, tui_gen_win_info::content, tui_locator_element::gdbarch, get_current_arch(), tui_which_element::locator, lookup_minimal_symbol(), tui_locator_win_info_ptr(), and tui_win_element::which_element.

Referenced by tui_display_main(), and tui_set_layout().

## ◆ tui_set_disassem_content()

enum tui_status tui_set_disassem_content | ( | struct gdbarch * | ,
|  | CORE_ADDR |
| ) |  |

Definition at line 166 of file tui-disasm.c.

References tui_asm_line::addr, tui_line_or_address::addr, tui_locator_element::addr, tui_asm_line::addr_string, program_space::aspace, breakpoint_here_p(), tui_gen_win_info::content, current_program_space, tui_source_element::has_break, tui_asm_line::insn, tui_source_element::is_exec_point, tui_source_element::line, tui_source_element::line_or_addr, tui_line_or_address::loa, LOA_ADDRESS, tui_which_element::locator, memset(), no_breakpoint_here, offset, tui_which_element::source, tui_alloc_source_buffer(), tui_default_tab_len(), TUI_DISASM_WIN, tui_disassemble(), TUI_FAILURE, tui_locator_win_info_ptr(), TUI_SUCCESS, tui_line_or_address::u, tui_win_element::which_element, and xfree().

Referenced by tui_update_source_window_as_is().

## ◆ tui_show_disassem()

void tui_show_disassem | ( | struct gdbarch * | ,
|  | CORE_ADDR |
| ) |  |

Definition at line 266 of file tui-disasm.c.

References tui_line_or_address::addr, DISASSEM_WIN, find_pc_line_symtab(), tui_line_or_address::loa, LOA_ADDRESS, SRC_DISASSEM_COMMAND, tui_add_win_to_layout(), tui_current_layout(), TUI_DISASM_WIN, tui_set_win_focus_to(), TUI_SRC_WIN, tui_update_source_window(), tui_win_with_focus(), tui_line_or_address::u, and win_with_focus.

Referenced by tui_show_disassem_and_update_source(), tui_update_source_windows_with_addr(), and tui_update_source_windows_with_line().

## ◆ tui_show_disassem_and_update_source()

void tui_show_disassem_and_update_source | ( | struct gdbarch * | ,
|  | CORE_ADDR |
| ) |  |

Definition at line 289 of file tui-disasm.c.

References find_pc_line(), tui_line_or_address::line_no, tui_line_or_address::loa, LOA_LINE, set_current_source_symtab_and_line(), SRC_DISASSEM_COMMAND, symtab_to_fullname(), tui_current_layout(), tui_show_disassem(), TUI_SRC_WIN, tui_update_locator_fullname(), tui_update_source_window(), and tui_line_or_address::u.

Referenced by tui_update_source_windows_with_addr().

## ◆ tui_vertical_disassem_scroll()

void tui_vertical_disassem_scroll | ( | enum | tui_scroll_direction,
|  | int |
| ) |  |

Definition at line 376 of file tui-disasm.c.

References tui_line_or_address::addr, FORWARD_SCROLL, tui_source_element::line_or_addr, tui_line_or_address::loa, LOA_ADDRESS, tui_which_element::source, TUI_DISASM_WIN, tui_find_disassembly_address(), tui_update_source_window_as_is(), tui_line_or_address::u, and tui_win_element::which_element.

Referenced by tui_scroll_backward(), and tui_scroll_forward().